- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# rpmEIU Struct Reference

## Data Fields
rpmTransactionSet | ts
rpmdb | db
Header | h
FD_t | fd
int | numFailed
int | numPkgs
str_t * | pkgURL
str_t * | fnp
char * | pkgState
int | prevx
int | pkgx
int | numRPMS
int | numSRPMS
str_t * | sourceURL
int | isSource
int | argc
str_t * | argv
rpmRelocation * | relocations
rpmRC | rpmrc

## Detailed Description

Definition at line 178 of file rpminstall.c.

## Field Documentation

rpmTransactionSet rpmEIU::ts

Definition at line 179 of file rpminstall.c.

Referenced by rpmErase(), and rpmRollback().

rpmdb rpmEIU::db

Definition at line 180 of file rpminstall.c.

Referenced by IDTXload(), rpmErase(), and rpmRollback().

Header rpmEIU::h

Definition at line 181 of file rpminstall.c.

Referenced by IDTXglob(), IDTXload(), and rpmErase().

FD_t rpmEIU::fd

Definition at line 182 of file rpminstall.c.

Referenced by IDTXglob(), and rpmInstallSource().

int rpmEIU::numFailed

Definition at line 183 of file rpminstall.c.

Referenced by rpmErase().

int rpmEIU::numPkgs

Definition at line 184 of file rpminstall.c.

str_t* rpmEIU::pkgURL

Definition at line 185 of file rpminstall.c.

str_t* rpmEIU::fnp

Definition at line 186 of file rpminstall.c.

char* rpmEIU::pkgState

Definition at line 187 of file rpminstall.c.

int rpmEIU::prevx

Definition at line 188 of file rpminstall.c.

int rpmEIU::pkgx

Definition at line 189 of file rpminstall.c.

int rpmEIU::numRPMS

Definition at line 190 of file rpminstall.c.

int rpmEIU::numSRPMS

Definition at line 191 of file rpminstall.c.

str_t* rpmEIU::sourceURL

Definition at line 192 of file rpminstall.c.

int rpmEIU::isSource

Definition at line 193 of file rpminstall.c.

Referenced by IDTXglob().

int rpmEIU::argc

Definition at line 194 of file rpminstall.c.

str_t* rpmEIU::argv

Definition at line 195 of file rpminstall.c.

rpmRelocation* rpmEIU::relocations

Definition at line 196 of file rpminstall.c.

Referenced by rpmInstall().

rpmRC rpmEIU::rpmrc

Definition at line 197 of file rpminstall.c.

Referenced by IDTXglob(), and rpmInstallSource().

The documentation for this struct was generated from the following file:

- lib/rpminstall.c